Bug 215299 - www/nextcloud: Update to 11.0.0
Summary: www/nextcloud: Update to 11.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-12-14 10:45 UTC by Bernard Spil
Modified: 2016-12-26 10:38 UTC (History)
1 user (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
svn diff for www/nextcloud (175.97 KB, patch)
2016-12-14 10:45 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (176.88 KB, patch)
2016-12-15 21:00 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/nextcloud (176.80 KB, patch)
2016-12-17 05:38 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2016-12-14 10:45:25 UTC
Created attachment 177962 [details]
svn diff for www/nextcloud

www/nextcloud: Update to 11.0.0

  - Make sample file a @sample entry in pkg-plist
  - Update pkg-plist for new release
Comment 1 Bernard Spil freebsd_committer 2016-12-14 10:46:38 UTC
Take

Loic: Let me know when you've completed testing, I can commit the patch.
Comment 2 loic.blot 2016-12-14 13:22:26 UTC
Tested, it's okay for me you can commit, thanks
Comment 3 loic.blot 2016-12-14 13:35:47 UTC
Can you remove the following package:

 	

%%WWWDIR%%/updater/updater.phar

It's only for user manuel installation , we are in package mode
Comment 4 Bernard Spil freebsd_committer 2016-12-15 21:00:13 UTC
Created attachment 178001 [details]
svn diff for www/nextcloud

Sorry for the delay.

Revised svn diff.

  - Remove Updater .phar file
  - Modify directory/file permissions as per NextCloud install guide (https://docs.nextcloud.com/server/11/admin_manual/installation/installation_wizard.html#strong-perms-label)

Please check if that's all in order wrt the permissions.
Comment 5 loic.blot 2016-12-16 06:56:16 UTC
There is a typo issue here:

https://bugs.freebsd.org/bugzilla/attachment.cgi?id=178001&action=diff#www/nextcloud/pkg-plist_sec28

missing p
Comment 6 Bernard Spil freebsd_committer 2016-12-17 05:38:05 UTC
Created attachment 178021 [details]
svn diff for www/nextcloud

Fix typos in patch
@grou -> @group
@grop -> @group
Comment 7 loic.blot 2016-12-25 21:55:48 UTC
Sorry for to be late, okay for me
Comment 8 commit-hook freebsd_committer 2016-12-26 10:37:47 UTC
A commit references this bug:

Author: brnrd
Date: Mon Dec 26 10:36:42 UTC 2016
New revision: 429490
URL: https://svnweb.freebsd.org/changeset/ports/429490

Log:
  www/nextcloud: Update to 11.0

    - Update to 11.0
    - Update pkg-plist for new release
    - Make sample file a @sample entry in pkg-plist
    - Modify dir/file permissions as per NextCloud install guide
    - Remove Updater archive

  PR:		215299
  Approved by:	Loic Blot <loic.blot@unix-experience.fr> (maintainer)

Changes:
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/pkg-plist